# Resolve an external user in the Databricks account

Launch stage: Beta

`POST /api/2.0/identity/users/resolve-by-external-id`

Resolves a user with the given external ID from the customer's IdP. If the user does not exist, it will be created.
 If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

## Request body

- `external_id` (string, required)
  Required. The external ID of the user in the customer's IdP.

## Returns

- `user` (object, optional)
  The user that was resolved.
  - `account_id` (string, optional, Output only)
    The accountId parent of the user in Databricks.
  - `user_id` (string, optional, Output only)
    Internal userId of the user in Databricks.
  - `external_id` (string, optional)
    ExternalId of the user in the customer's IdP.
  - `username` (string, required, Immutable)
    Username/email of the user.
  - `full_name` (object, required)
    - `given_name` (string, optional)
    - `family_name` (string, optional)
  - `account_user_status` (string, required)
    The activity status of a user in a Databricks account.
    Possible values:
    - `ACTIVE`
    - `INACTIVE`

## Response

```json
{
  "user": {
    "account_id": "string",
    "user_id": "string",
    "external_id": "string",
    "username": "string",
    "full_name": {},
    "account_user_status": "ACTIVE"
  }
}
```

